API ReferenceAudit

Get saved recommendations breakdown with pagination

GET
/api/v1/recommendations/audit/breakdown

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

Page number (1-indexed)

Default1
Range1 <= value
page_size?integer

Items per page (max 100)

Default10
Range1 <= value <= 100
sort_by?string

Field to sort by (period, account_id, environment, service, usage_type, usage_quantity, usage_unit, pre_optimization_cost, post_optimization_cost, monthly_savings, roi, approved_by)

Default"period"
sort_order?string

Sort order

Default"desc"
Value in"asc" | "desc"
start?|

Start date filter (YYYY-MM-DD or YYYY-MM format)

end?|

End date filter (YYYY-MM-DD or YYYY-MM format)

preset?|

Date preset: '30D', '6M', or '12M' (takes precedence over start/end)

provider?|

Filter by provider ID (aws, gcp, azure, k8s)

service?array<>|

Filter by service(s) - can be repeated for multiple values

environment?array<>|

Filter by environment(s) - can be repeated for multiple values

account_id?array<>|

Filter by account ID(s) - can be repeated for multiple values

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/recommendations/audit/breakdown"
{
  "success": true,
  "timestamp": "2019-08-24T14:15:22Z",
  "data": {
    "total_savings": 0,
    "items": [
      {
        "period": "string",
        "account_id": "string",
        "environment": "string",
        "service": "string",
        "usage_type": "string",
        "usage_quantity": 0,
        "usage_unit": "string",
        "approved_by": "string",
        "pre_optimization_cost": 0,
        "post_optimization_cost": 0,
        "monthly_savings": 0,
        "annual_savings": 0,
        "roi": 0
      }
    ],
    "pagination": {
      "total_items": 0,
      "total_pages": 0,
      "current_page": 0,
      "page_size": 0,
      "has_next": true,
      "has_previous": true
    }
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "property1": null,
  "property2": null
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}